package com.yingpaipay.business.enumeration;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum DocumentQcStatusEnum {

    UN_AUDIT(0, "未审核", "Unreviewed"),
    PASS(1, "通过", "Pass"),
    REJECT(2, "驳回", "Reject"),
    TO_AUDIT(3, "未审核", "Unreviewed"),
    ;

    private final Integer code;
    private final String textZh;
    private final String textEn;

    public static boolean pass(Integer result) {
        return Objects.equals(PASS.code, result);
    }
}
